Show / Hide Table of Contents

# Struct EmbedImage

An image for an Embed.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct EmbedImage

### Properties

| Improve this Doc View Source

#### Height

Gets the height of this image.

##### Declaration

    public int? Height { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | A System.Int32 representing the height of this image if it can be retrieved; otherwise `null`.

| Improve this Doc View Source

#### ProxyUrl

Gets a proxied URL of this image.

##### Declaration

    public string ProxyUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the proxied URL of this image.

| Improve this Doc View Source

#### Url

Gets the URL of the image.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the URL of the image.

| Improve this Doc View Source

#### Width

Gets the width of this image.

##### Declaration

    public int? Width { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | A System.Int32 representing the width of this image if it can be retrieved; otherwise `null`.

### Methods

| Improve this Doc View Source

#### ToString()

Gets the URL of the thumbnail.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to Url .

##### Overrides

System.ValueType.ToString()